local gitsigns = require("gitsigns")
local dap = require("dap")
local dapui = require("dapui")

return {
	{
		name = " Debug",
		hl = "Exblue",
		items = {
			{
				name = " Toggle breakpoint",
				cmd = dap.toggle_breakpoint,
				rtxt = "<leader>bb",
			},

			{
				name = " Run debug",
				cmd = dap.continue,
			},

			{
				name = "󰫧 Eval",
				cmd = dapui.eval,
			},

			{
				name = " Stack",
				cmd = function()
					require("dapui").float_element("stacks")
				end,
			},

			{ name = "separator" },

			{
				name = "󰆹 Step into",
				cmd = dap.step_into,
				rtxt = "<F5>",
			},

			{
				name = " Step over",
				cmd = dap.step_over,
				rtxt = "<F6>",
			},

			{
				name = " Continue",
				cmd = dap.continue,
				rtxt = "<F8>",
			},

			{ name = "separator" },

			{
				name = "󰮂 Toggle UI",
				cmd = require("dapui").toggle,
			},
		},
	},

	{ name = "separator" },

	{
		name = " Preview change",
		cmd = gitsigns.preview_hunk,
		--	rtxt = "",
	},

	{
		name = "󰗨 Rest change",
		cmd = gitsigns.reset_hunk,
		--	rtxt = "",
	},

	{
		name = " Toggle blame",
		cmd = gitsigns.toggle_current_line_blame,
	},

	{
		name = "󰚃 Toggle delete",
		cmd = gitsigns.toggle_deleted,
	},

	{ name = "separator" },
}
